All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.remotefileselector2
Interface RemoteFileSelectorInterface

All Known Implementing Classes:
  InformationServicesSelector, RemoteFileSelector

    public interface RemoteFileSelectorInterface

Any view component that uses the `RemoteFileToolBar` must contain the methods defined in this interface. The model of the RemoteFileToolBar by default is an instance of the `RemoteFileSelector` view component. The RemoteFileSelector implements this interface.

Field Summary
`static int` | `REGULAR_MODE` Selector's default mode.
`static int` | `SEARCH_MODE` Selector's mode when a search is in progress.
`static java.lang.String` | `SEARCH_RESULTS` Value used to identify the `Search Results` string in the toolbar drop-down.

Method Summary
`abstract int` | `getMode()` Mode of general component.
`abstract RemoteFileNavigationModelInterface` | `getModel()` Component must use an instance of the RemoteFileNavigationModelInterface as the model.

Field Detail

### SEARCH_MODE

    static final int SEARCH_MODE

  Selector's mode when a search is in progress.

  See Also:
    `getMode()`, Constant Field Values

### REGULAR_MODE

    static final int REGULAR_MODE

  Selector's default mode. This is the mode whenever a search is not in progress.

  See Also:
    `getMode()`, Constant Field Values

### SEARCH_RESULTS

    static final java.lang.String SEARCH_RESULTS

  Value used to identify the `Search Results` string in the toolbar drop-down.

  See Also:
    Constant Field Values

Method Detail

### getModel

    RemoteFileNavigationModelInterface getModel()

  Component must use an instance of the RemoteFileNavigationModelInterface as the model. This model is used by the support class to determine the appropriate action state. `UP_ONE_LEVEL_ACTION` is an example of an action that is impacted by the state of the viewers model. This model is responsible for loading the correct file information when navigating with the `RemoteFileSelector` component.

  Returns:
    an instance of the RemoteFileServerModelInterface
  See Also:
    `RemoteFileSelector`

### getMode

    int getMode()

  Mode of general component. The two valid modes are `SEARCH_MODE` and `REGULAR_MODE`. The display and state of the UpOneLevel action changes depending on the mode. The UpOneLevel action is disabled when the selector is in `SEARCH_MODE` mode. Otherwise the action is enabled.

  Returns:
    current mode of RemoteFileSelector

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.